Bug 145380 - USB mass storage I/O operations fail if gpilotd is being used at the same time
USB mass storage I/O operations fail if gpilotd is being used at the same time
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 16:20 EST by Silvio Moioli
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:31:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Silvio Moioli 2005-01-17 16:20:46 EST
Description of problem:
Usb mass storage drives become unusable (cannot copy files, sometimes
the system hangs) if gpilotd (gnome-pilot package) is being used at
the same time. This seems to be a kernel-related problem, most
probably due to a Fedora-specific kernel patch.

Version-Release number of selected component (if applicable):
Affects a number of kernels including the latest stable one at the
time of writing (2.6.10-1.9_FC2). gnome-pilot 2.0.10 is being used.

How reproducible:
Most i/o operations on a usb mass storage while gpilotd runs will fail.

Steps to Reproduce:
1. Start gpilotd (I do that from the applet), make sure it's up and
running (eg. HotSync).
2. Now insert into another USB port a usb-storage drive (eg. a USB pen
drive or a card reader. I have this problem both with my 64mb pen and
my 4-in-1 card reader).
3. Mount, and do a time-consuming operation, like copying an mp3 (like
5 megs or so). The copy will fail, you'll have to umount and remount
everything.
  
Actual results:
The copy will fail.

Expected results:
The copy should succeed.

Additional info:
David A. Desrosiers, part of the GNOME team, has written about this
bug (also listed at http://bugzilla.gnome.org/show_bug.cgi?id=164367):

"In this case, your bug[1] looks like a kernel bug, not a GNOME 
bug, and certainly not a gnome-pilot bug. There have been reported 
issues with the FC2 and FC3 kernels prematurely removing or crashing 
the USB interfaces on many machines, and it looks like you are seeing 
the same exact issue.

        The solution so far (discovered by me) is to back down to the 
_667 version of the 2.6.9 kernel (if FC3) or recompile your kernel 
from upstream kernel sources, using the stock config file found in 
/boot on your Fedora machine. This skips all of the patches that are 
applied, one of which is causing the problem. I've personally seen 
this work on at least 6 user's machines in the last 2 months."

The relevant dmesg error seems this one:
scsi: Device offlined - not ready after error recovery: host 4 channel
0 id 0 lun 2

"uname -a"'s output: Linux localhost.localdomain 2.6.10-1.9_FC2 #1 Thu
Jan 13
17:54:57 EST 2005 i686 athlon i386 GNU/Linux
"yum info gnome-pilot"s output:
Looking in Installed Packages:
Name   : gnome-pilot
Arch   : i386
Version: 2.0.10
Release: 6.1
Size   : 1.39 MB
Group  : Applicazioni/Comunicazioni
Repo   : Locally Installed

-- 
Silvio Moioli
moio AT tiscali DOT it (no HTML email please!)
http://www.moioli.tk

"Things should be as simple as possible, but not any simpler" (A.
Einstein)
Comment 1 Dave Jones 2005-04-16 00:31:16 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.